<div class="container" *ngIf="developer">
    <div class="row hd-panel">
        <div class="profile-portrait col-xs-12 col-sm-4 text-center"
                (click)="_editPortraitModal.open();">
            <div class="profile-portrait-img">
                <img *ngIf="!developer.portrait_thumbnail"
                      src="../../../img/profile_placeholder.jpg"/>
                <img *ngIf="developer.portrait_thumbnail"
                      [src]="developer.portrait_thumbnail"/>
            </div>
        </div>
        <div class="profile-basic col-xs-12 col-sm-8">
            <!-- Basics Info (when defined) -->
            <div *ngIf="developer.city && developer.state" (click)="_editBasicsModal.open()" class="editable">
                <h1>{{ account.first_name }} {{ account.last_name }}</h1>
                <h2>{{ developer.title }}</h2>
                <div *ngIf="developer.city && developer.state">{{ developer.city }}, {{ developer.state }}</div>
            </div>

            <!-- Basics Info (when not defined) -->
            <div *ngIf="!developer.city && !developer.state" (click)="_editBasicsModal.open()" class="first-editable">
                <h1>{{ account.first_name }} {{ account.last_name }}</h1>
                <span>+</span> Add Location &amp; Title
            </div>

            <!-- Skills Info (when defined) -->
            <div *ngIf="developer.skills.length !== 0" (click)="_editSkillsModal.open()" class="key-skills">
                <h2>Key Skills</h2>
                <div class="skill-tags editable">
                    <skill-tag
                        (click)="_editSkillsModal.open()"
                        *ngFor="let skill of developer.skills.slice(0,5)"
                        [skill]='skill'></skill-tag>
                </div>
            </div>

            <!-- Skills Info (when not defined) -->
            <div *ngIf="developer.skills.length === 0" (click)="_editSkillsModal.open()" class="key-skills">
                <h2>Key Skills</h2>
                <div tabindex="0" class="first-editable"><span>+</span> Add Skills</div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-xs-12 hd-panel">
            <div (click)="_editOverviewModal.open()">
                <h2>Overview</h2>

                <div class="first-editable" *ngIf="!developer.overview" ><span>+</span> Go on, brag a little.</div>
                <div *ngIf="developer.overview" class="editable">
                    <p *ngFor="let paragraph of developer.overview | newLinesToBr">
                        {{ paragraph }}
                    </p>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-xs-12 hd-panel">
            <education-details #educationPanel [developer]="developer" (onOpen)="_onOpenEducation($event)"></education-details>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-12 hd-panel">
            <work-history-details #workHistoryPanel [developer]="developer" (onOpen)="_onOpenWorkHistory($event)"></work-history-details>
        </div>
    </div>
</div>

<!-- Basics Edit Modal -->
<modal #editBasicsModal [cssClass]="'basics-edit-modal'" (onDismiss)="_onDismissEditBasicsModal()" *ngIf="developer">
    <modal-body>
        <basics-edit #editBasics [account]="account" [developer]="developer" (onClose)="editBasicsModal.close()">
        </basics-edit>
    </modal-body>
</modal>

<!-- Portrait Edit Modal -->
<modal #editPortraitModal (onDismiss)="_onDismissEditPortraitModal()" *ngIf="developer">
    <modal-body>
        <portrait-edit #editPortrait [developer]="developer" (onClose)="_onEditPortraitClose($event)">
        </portrait-edit>
    </modal-body>
</modal>

<!-- Overview Edit Modal -->
<modal #editOverviewModal (onDismiss)="_onDismissEditOverviewModal()" *ngIf="developer">
    <modal-body>
        <overview-edit #editOverview [developer]="developer" (onClose)="editOverviewModal.close()">
        </overview-edit>
    </modal-body>
</modal>

<!-- Skills Edit Modal -->
<modal #editSkillsModal (onDismiss)="_onDismissEditSkillsModal()" *ngIf="developer">
    <modal-body>
        <skills-edit #editSkills [developer]="developer" (onClose)="editSkillsModal.close()">
        </skills-edit>
    </modal-body>
</modal>

<!-- Education Edit Modal -->
<modal #editEducationModal (onDismiss)="_onDismissEditEducationModal()" *ngIf="developer">
    <modal-body>
        <education-edit-entry #editEducation [developer]="developer"
                [entryUnderEditIdx]="_editEducationIdx" (onClose)="editEducationModal.close()">
        </education-edit-entry>
    </modal-body>
</modal>

<!-- Work History Edit Modal -->
<modal #editWorkHistoryModal (onDismiss)="_onDismissEditWorkHistoryModal()" *ngIf="developer">
    <modal-body>
        <work-history-edit-entry #editWorkHistory [developer]="developer"
                [entryUnderEditIdx]="_editWorkHistoryIdx" (onClose)="editWorkHistoryModal.close()">
        </work-history-edit-entry>
    </modal-body>
</modal>
